# 8080 is protected by Shibboleth and serves external requests (outside the OpenShift cluster)
<VirtualHost *:8080>
  ServerAdmin webmaster@localhost
  ServerName https://${HOSTNAME_FQDN}

  DocumentRoot /opt/matomo

  <Location />

    AllowOverride AuthConfig Limit Indexes
    AuthType Shibboleth
    ShibRequireSession On
    ShibUseHeaders On
    require shibboleth
    require valid-user
    
  </Location>

</VirtualHost>

# 8081 is not exposed outside the OpenShift cluster and is used for Matomo API requests by the controller pod
<VirtualHost *:8081>
  ServerAdmin webmaster@localhost

  DocumentRoot /opt/matomo

  <Directory />
    Allow from all
    Options Indexes FollowSymLinks MultiViews
    AuthType None
    Require all granted
  </Directory>

</VirtualHost>
